osl::checkmate::Dfpn::Tree Struct Reference

## Public Member Functions

| Tree (int max_depth)
bool | inCheck (Player P) const
const Piece | king (Player P) const
void | newVisit (Player P, Move move, const HashKey &next_hash)
void | setNoCheckmateChildInAttack (size_t best_i)
void | setNoCheckmateDefense (Player attack, int best_i)
void | dump (int lines, int depth=0) const

## Public Attributes

NumEffectState | state
int | depth
boost::scoped_array< Node > | node
const int | MaxDepth

## Detailed Description

Definition at line 468 of file dfpn.cc.

## Constructor & Destructor Documentation

## Tree()

osl::checkmate::Dfpn::Tree::Tree | ( | int | max_depth | ) |

inline

Definition at line 482 of file dfpn.cc.

References osl::HIRATE, MaxDepth, node, and state.

## Member Function Documentation

## dump()

void osl::checkmate::Dfpn::Tree::dump | ( | int | lines,
|  | int | depth = 0 ) const

inline

Definition at line 526 of file dfpn.cc.

References depth, node, state, and timer.

## inCheck()

bool osl::checkmate::Dfpn::Tree::inCheck | ( | Player | P | ) | const

inline

Definition at line 499 of file dfpn.cc.

References state.

## king()

const Piece osl::checkmate::Dfpn::Tree::king | ( | Player | P | ) | const

inline

Definition at line 503 of file dfpn.cc.

References state.

## newVisit()

void osl::checkmate::Dfpn::Tree::newVisit | ( | Player | P,
|  | Move | move,
|  | const HashKey & | next_hash )

inline

Definition at line 504 of file dfpn.cc.

References osl::checkmate::Dfpn::Node::clear(), depth, osl::checkmate::Dfpn::NodeBase::hash_key, osl::checkmate::Dfpn::NodeBase::moved, node, osl::checkmate::Dfpn::NodeBase::path, osl::Move::player(), and osl::checkmate::Dfpn::NodeBase::white_stand.

## setNoCheckmateChildInAttack()

void osl::checkmate::Dfpn::Tree::setNoCheckmateChildInAttack | ( | size_t | best_i | ) |

inline

Definition at line 516 of file dfpn.cc.

References depth, and node.

## setNoCheckmateDefense()

void osl::checkmate::Dfpn::Tree::setNoCheckmateDefense | ( | Player | attack,
|  | int | best_i )

inline

Definition at line 521 of file dfpn.cc.

References osl::checkmate::Dfpn::attack(), depth, and node.

## Member Data Documentation

## depth

int osl::checkmate::Dfpn::Tree::depth

Definition at line 474 of file dfpn.cc.

Referenced by dump(), newVisit(), setNoCheckmateChildInAttack(), and setNoCheckmateDefense().

## MaxDepth

const int osl::checkmate::Dfpn::Tree::MaxDepth

Definition at line 481 of file dfpn.cc.

Referenced by Tree().

## node

boost::scoped_array<Node> osl::checkmate::Dfpn::Tree::node

Definition at line 479 of file dfpn.cc.

Referenced by dump(), newVisit(), setNoCheckmateChildInAttack(), setNoCheckmateDefense(), and Tree().

## state

NumEffectState osl::checkmate::Dfpn::Tree::state

Definition at line 473 of file dfpn.cc.

Referenced by dump(), inCheck(), king(), and Tree().

The documentation for this struct was generated from the following file:

- dfpn.cc